#pragma once

#ifdef _DEBUG
#include <string>
#include <Windows.h>
#include <boost\lexical_cast.hpp>

template <typename T>
inline void DebugMsg(const T value)
{
	::MessageBox(0,boost::lexical_cast<std::wstring>(value).c_str(),L"",0);
}

template <>
inline void DebugMsg(const wchar_t *value)
{
	::MessageBox(0,value,L"",0);
}

template <>
inline void DebugMsg(const std::basic_string<wchar_t> &value)
{
	::MessageBox(0,value.c_str(),L"",0);
}

#else

#define DebugMsg(value)

#endif